Package org.pushingpixels.flamingo.api.ribbon

# Class RibbonContextualTaskGroup

java.lang.Object
org.pushingpixels.flamingo.api.ribbon.RibbonContextualTaskGroup

public class RibbonContextualTaskGroup extends Object
A contextual group of `RibbonTask`s. The contextual ribbon task groups allow showing and hiding ribbon tasks based on the current selection in the application. For example, Word only shows the table tasks when a table is selected in the document. By default, tasks belonging to the groups added by `JRibbon.addContextualTaskGroup(RibbonContextualTaskGroup)` are not visible. To show the tasks belonging to the specific group, call `JRibbon.setVisible(RibbonContextualTaskGroup, boolean)` API. Note that you can have multiple task groups visible at the same time. This class is a logical entity that groups ribbon tasks belonging to the same contextual group.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final double`
`HUE_ALPHA`
Alpha factor for colorizing the toggle tab buttons of tasks in contextual groups.

## Constructor Summary

Constructors
Constructor
Description
`RibbonContextualTaskGroup(String title, Color hueColor, RibbonTask... tasks)`
Creates a task contextual group that contains the specified tasks.

## Method Summary

Modifier and Type
Method
Description
`Color`
`getHueColor()`
Returns the hue color for this group.
`RibbonTask`
`getTask(int index)`
Returns task at the specified index from `this` group.
`int`
`getTaskCount()`
Returns the number of tasks in `this` group.
`String`
`getTitle()`
Returns the name of this group.
`void`
`setTitle(String title)`
Changes the title of this ribbon contextual task group.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### HUE_ALPHA

public static final double HUE_ALPHA
Alpha factor for colorizing the toggle tab buttons of tasks in contextual groups.

See Also:
  - Constant Field Values

## Constructor Details

### RibbonContextualTaskGroup

public RibbonContextualTaskGroup(String title, Color hueColor, RibbonTask... tasks)
Creates a task contextual group that contains the specified tasks.

Parameters:
  `title` - Group title.
  `hueColor` - Hue color for this group. Should be a saturated non-dark color for good visuals.
  `tasks` - Tasks to add to the group.

## Method Details

### getTaskCount

public int getTaskCount()
Returns the number of tasks in `this` group.

Returns:
  Number of tasks in `this` group.
See Also:
  - `getTask(int)`

### getTask

public RibbonTask getTask(int index)
Returns task at the specified index from `this` group.

Parameters:
  `index` - Task index.
Returns:
  Task at the specified index.
See Also:
  - `getTaskCount()`

### getTitle

public String getTitle()
Returns the name of this group.

Returns:
  The name of this group.
See Also:
  - `setTitle(String)`

### getHueColor

public Color getHueColor()
Returns the hue color for this group.

Returns:
  The hue color for this group.

### setTitle

public void setTitle(String title)
Changes the title of this ribbon contextual task group.

Parameters:
  `title` - The new title for this ribbon contextual task group.
See Also:
  - `getTitle()`

### toString

public String toString()

Overrides:
  `toString` in class `Object`